Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7969 - Serial driver does not recognise COM2 port
Summary: Serial driver does not recognise COM2 port
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-23 14:58 UTC by taupin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-27 08:12:49 UTC


Attachments (Terms of Use)

Description taupin 1999-12-23 14:58:46 UTC
At boot borcess, the serial driver 4.27 (but also the driver of RH 5.2 does
not recognise port COM2 while it recognises port COM1.

However both ports work, since my modem on COM2 (ttyS1) works OK with
Windows 96. But boot (dmesg) only reports:

Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A

but nothing concerning ttyS1.

Anither check is that modem lights are OK when put on COM1, and bad when
put on COM2.

Comment 1 Riley H Williams 1999-12-23 20:53:59 UTC
Presuming your "Windows 96" is actually "Windows 98", are you sure it is really
COM2 or has Win98 remapped the ports for you? Have a look in Win98's device
manager and check the settings it's using for COM2 - if they're other than
IO=0x2f8, IRQ=3 then it's done the remapping trick it seems to be overly fond of
doing.

Comment 2 Cristian Gafton 2000-01-27 08:12:59 UTC
assigned to kernel


Note You need to log in before you can comment on or make changes to this bug.